post
https://apisandbox.sadadpay.net/api/Subscription/insert
Subscribe a customer to a template. Most merchants let customers subscribe through a subscription link instead.
- Call Preview a billing schedule with the template's details.
- Send the returned bills as
schedules, with the template's fields.
The response id is the customer's subscription key; their page is https://sadadpay.net/subscription/payment/{key}.
freeTrialPeriodandfreeTrialPositionmust have valid values (for exampleMonthlyandEnd) even whenfreeTrialNois 0.
Errors
| errorKey | Cause |
|---|---|
VendorIdRequired | vendor_Id is missing |
SubscriptionScheduleRequired | schedules is missing |
WrongFreeTrialPeriod | freeTrialPeriod is empty or not valid |
WrongFreeTrialPosition | freeTrialPosition is empty or not valid |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
401The token is missing, wrong or expired.
401The token is missing, wrong or expired.

